## ros-one-jsk-footstep-planner 0.1.18-14jammy.20251027.2207

=== debian/changelog ===
ros-one-jsk-footstep-planner (0.1.18-14jammy.20251027.2207) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 27 Oct 2025 22:07:58 +0000

ros-one-jsk-footstep-planner (0.1.18-0jammy) jammy; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 09 Dec 2024 00:00:00 -0000

ros-one-jsk-footstep-planner (0.1.17-0jammy) jammy; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 28 May 2023 00:00:00 -0000

ros-one-jsk-footstep-planner (0.1.16-0jammy) jammy; urgency=high

  * run 2to3 -w -f has_key . for python3 check (#776 <https://github.com/jsk-ros-pkg/jsk_control/issues/776>)
  * fix for test (#773 <https://github.com/jsk-ros-pkg/jsk_control/issues/773>)
    
      * indigo requres to add find_pacakge(roseus) to compile roseus message
      * remove roseus from find_package(catkin at jsk_footstep_planner and jsk_ik_server
      * add from __future__ import print_function
    
  * [jsk_footstep_planner] add an example of footstep planner client with disarranged goal footsteps (#739 <https://github.com/jsk-ros-pkg/jsk_control/issues/739>)
  * [jsk_footstep_planner] add num_finalize_steps option to dynamic_reconfigure of jsk_footstep_planner (#741 <https://github.com/jsk-ros-pkg/jsk_control/issues/741>)
  * 2to3 -w -fexcept ., 2to3 -w -fprint . (#763 <https://github.com/jsk-ros-pkg/jsk_control/issues/763>)
  * add melodic support (#740 <https://github.com/jsk-ros-pkg/jsk_control/issues/740>)
    
      * [jsk_footstep_planner] fixed returned value of FootstepStateDiscreteCloseList::find()
      * [jsk_footstep_planner] fixed a returned value of FootstepStateDiscreteCloseList::find()
    
  * Update README.md and Delete duplicated launch files (#733 <https://github.com/jsk-ros-pkg/jsk_control/issues/733>)
    
      * [jsk_footstep_planner] Update README.md to fix link to an image.
      * [jsk_footstep_planner] add footstep_planner_perception_sample.gif and update README.md to fix syntax error and add an image.
      * [jsk_footstep_planner] delete unintentionally duplicated launch files
      * [jsk_footstep_planner] update README.md to add notice about euslisp implementation
      * [jsk_footstep_planner] update README.md to add description about how to execute examples
    
  * fix heightmap launch so that it can work with nodelet. (#694 <https://github.com/jsk-ros-pkg/jsk_control/issues/694>)
  * Contributors: Kei Okada, Koki Shinjo, Riku Shigematsu, Yohei Kakiuchi

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 27 Oct 2022 00:00:00 -0000

ros-one-jsk-footstep-planner (0.1.15-0jammy) jammy; urgency=high

  * Merge pull request #692 <https://github.com/jsk-ros-pkg/jsk_control/issues/692> from orikuma/replace-footstep-state-to-state-ptr
    Replace FootstepState::Ptr to StatePtr in footstep_astar_solver to be used with a GraphT which has different state type
  * [jsk_footstep_planner] Replace FootstepState::Ptr -> StatePtr in footstep_astar_solver to be used with a GraphT which has different state type
  * Contributors: Iori Kumagai, Yohei Kakiuchi

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 16 May 2018 00:00:00 -0000

ros-one-jsk-footstep-planner (0.1.14-0jammy) jammy; urgency=high

  * [jsk_footstep_planner] add grid_path_planner (#688 <https://github.com/jsk-ros-pkg/jsk_control/issues/688>)
    * [jsk_foostep_planner/footstep_marker] add use_default_step_as_goal
  * [jsk_foostep_planner/JAXON] update launch (#687 <https://github.com/jsk-ros-pkg/jsk_control/issues/687>)
  * Add follow_path heuristic to footstep_planner (#675 <https://github.com/jsk-ros-pkg/jsk_control/issues/675>)
    * [jsk_footstep_planner] remove not used settings from CMakeLists.txt and change order of include
    * [jsk_footstep_planner] add set heuristic path service
    * [jsk_footstep_planner] update follow_path heuristic
    * [jsk_footstep_planner] fix method name
    * [jsk_footstep_planner] refine solver
    * [jsk_footstep_planner] fix include
    * [jsk_footstep_planner] add follow_path heuristic to cfg
    * [footstep_planner] add follow_path footstep_planning
  * Contributors: Yohei Kakiuchi, Yuki Furuta

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 15 Jan 2018 00:00:00 -0000

ros-one-jsk-footstep-planner (0.1.13-0jammy) jammy; urgency=high

  * [jsk_footstep_planner, jsk_teleop_joy] add stack mode to footstep_marker
  * [jsk_footstep_planner] add pass through filter for creating heightmap (remove points of a ceiling)
  * [jsk_footstep_planner] Make initial map_origin_pointcloud smaller
  * Contributors: Yohei Kakiuchi

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 18 Apr 2017 00:00:00 -0000

ros-one-jsk-footstep-planner (0.1.12-0jammy) jammy; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 22 Feb 2017 00:00:00 -0000

ros-one-jsk-footstep-planner (0.1.11-0jammy) jammy; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 09 Feb 2017 00:00:00 -0000

ros-one-jsk-footstep-planner (0.1.10-0jammy) jammy; urgency=high

  * [footstep_planner] fix for local_move
  * [footstep_planner, JAXON] footstep setting for leptrino foot
  * [jsk_footstep_planner] fix offset for project_footstep service
  * [footstep_planner] add local move offset
  * [footstep_planner] remove debug message / fix for very short path
  * [footstep_planner] add PathCost and Successor function
  * [jsk_footstep_planner] add project_footstep service
  * [jsk_footstep_planner/config/*footstep_planner_params.yaml] Update HRP2JSKNT, HRP2JSKNTS footstep planner params and add parameter for JAXON.
  * [jsk_footstep_planner/test/test_footstep_planning_eus_client.test] Increase test time to 5 minutes.
  * [jsk_footstep_planner/test/test_footstep_planning_eus_client.l] Add test for slope and stair
  * [jsk_footstep_planner/config/sample_robot_footstep_planner_params.yaml] Update parameters for stair slope test


## ros-one-jsk-footstep-planner 0.1.18-14jammy.20251208.0951

=== debian/changelog ===
ros-one-jsk-footstep-planner (0.1.18-14jammy.20251208.0951) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 08 Dec 2025 09:51:39 +0000

## ros-one-jsk-footstep-planner 0.1.18-14jammy.20251215.2335

=== debian/changelog ===
ros-one-jsk-footstep-planner (0.1.18-14jammy.20251215.2335) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 15 Dec 2025 23:35:18 +0000

## ros-one-jsk-footstep-planner 0.1.18-14jammy.20260106.2311

=== debian/changelog ===
ros-one-jsk-footstep-planner (0.1.18-14jammy.20260106.2311) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2026 23:11:17 +0000

## ros-one-jsk-footstep-planner 0.1.18-14jammy.20260302.2202

=== debian/changelog ===
ros-one-jsk-footstep-planner (0.1.18-14jammy.20260302.2202) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 02 Mar 2026 22:02:33 +0000

## ros-one-jsk-footstep-planner 0.1.18-14noble.20251027.2236

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(jsk_footstep_planner)

# Use ccache if installed to make it fast to generate object files
find_program(CCACHE_FOUND ccache)
if(CCACHE_FOUND)
  set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
  set_property(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
endif(CCACHE_FOUND)

if($ENV{ROS_DISTRO} STREQUAL "indigo") # indigo requres to add find_pacakge(roseus) to compile roseus message
  set(ROSEUS_package roseus)
endif()

find_package(catkin REQUIRED COMPONENTS jsk_footstep_msgs jsk_recognition_utils
  message_generation jsk_topic_tools roscpp pcl_ros geometry_msgs eigen_conversions
  jsk_interactive_marker visualization_msgs dynamic_reconfigure ${ROSEUS_package} rostest)
#find_package(PCL REQUIRED)
add_service_files(FILES
  ChangeSuccessor.srv CollisionBoundingBoxInfo.srv ProjectFootstep.srv SetHeuristicPath.srv)
generate_dynamic_reconfigure_options(
  cfg/FootstepPlanner.cfg cfg/PointCloudModelGenerator.cfg cfg/FootstepMarker.cfg)
generate_messages(DEPENDENCIES geometry_msgs jsk_footstep_msgs)
#catkin_python_setup()
catkin_package(
  DEPENDS
  CATKIN_DEPENDS jsk_footstep_msgs jsk_recognition_utils jsk_interactive_marker
  INCLUDE_DIRS include # TODO include
  LIBRARIES jsk_footstep_planner # TODO
  )

add_definitions("-O2 -DEIGEN_NO_DEBUG")
#add_definitions("-g -O2")
#find_package(OpenMP)
#set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
#set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
#set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${OpenMP_EXE_LINKER_FLAGS}")

#include_directories(include ${catkin_INCLUDE_DIRS} ${PCL_INCLUDE_DIRS})
include_directories(include ${catkin_INCLUDE_DIRS})
link_libraries(${pcl_ros_LIBRARIES} ${catkin_LIBRARIES})
add_library(jsk_footstep_planner
  src/footstep_conversions.cpp
  src/marker_array_publisher.cpp
  src/simple_neighbored_graph.cpp
  src/footstep_state.cpp
  src/footstep_graph.cpp
  src/footstep_state_discrete_close_list.cpp
  src/ann_grid.cpp
  src/pointcloud_model_generator.cpp
  src/transition_limit.cpp
  src/footstep_planner.cpp
  src/line2d.cpp)

add_executable(footstep_marker src/footstep_marker.cpp)
target_link_libraries(footstep_marker jsk_footstep_planner)

add_executable(sample_simple_graph demo/sample_simple_graph.cpp)
target_link_libraries(sample_simple_graph jsk_footstep_planner)
add_executable(sample_astar demo/sample_astar.cpp)
target_link_libraries(sample_astar jsk_footstep_planner)
add_executable(footstep_planning_2d_demo demo/footstep_planning_2d_demo.cpp)
target_link_libraries(footstep_planning_2d_demo jsk_footstep_planner)
add_executable(footstep_planning_2d_interactive_demo demo/footstep_planning_2d_interactive_demo.cpp)
target_link_libraries(footstep_planning_2d_interactive_demo jsk_footstep_planner)
add_executable(footstep_planning_2d_perception_demo demo/footstep_planning_2d_perception_demo.cpp)
target_link_libraries(footstep_planning_2d_perception_demo jsk_footstep_planner)
add_executable(bench_footstep_planner bench/bench_footstep_planner.cpp)
target_link_libraries(bench_footstep_planner jsk_footstep_planner)
add_executable(ann_grid_demo demo/ann_grid_demo.cpp)
target_link_libraries(ann_grid_demo jsk_footstep_planner)
add_executable(footstep_planner_node src/footstep_planner_node.cpp)
target_link_libraries(footstep_planner_node jsk_footstep_planner)
add_executable(footstep_projection_demo demo/footstep_projection_demo.cpp)
target_link_libraries(footstep_projection_demo jsk_footstep_planner)
add_executable(pointcloud_model_generator_node src/pointcloud_model_generator_node.cpp)
target_link_libraries(pointcloud_model_generator_node jsk_footstep_planner)

add_library(jsk_grid_path_planner
  src/grid_path_planner.cpp
  )
add_executable(grid_path_planner_node src/grid_path_planner_node.cpp)
target_link_libraries(grid_path_planner_node jsk_grid_path_planner)

add_dependencies(jsk_footstep_planner ${PROJECT_NAME}_gencpp ${PROJECT_NAME}_gencfg)
add_dependencies(jsk_grid_path_planner ${PROJECT_NAME}_gencpp ${PROJECT_NAME}_gencfg)
add_dependencies(footstep_planner_node ${PROJECT_NAME}_gencpp ${PROJECT_NAME}_gencfg)
add_dependencies(pointcloud_model_generator_node ${PROJECT_NAME}_gencpp ${PROJECT_NAME}_gencfg)
add_dependencies(grid_path_planner_node ${PROJECT_NAME}_gencpp ${PROJECT_NAME}_gencfg)

install(DIRECTORY euslisp launch scripts
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
  PATTERN ".svn" EXCLUDE
  )
install(TARGETS jsk_footstep_planner sample_astar sample_simple_graph
  footstep_planning_2d_demo footstep_planning_2d_interactive_demo
  footstep_planning_2d_perception_demo
  footstep_projection_demo
  bench_footstep_planner
  ann_grid_demo
  footstep_planner_node
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  add_rostest(test/test_footstep_planning_eus_client.test)
endif()

=== debian/changelog ===
ros-one-jsk-footstep-planner (0.1.18-14noble.20251027.2236) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 27 Oct 2025 22:36:49 +0000

ros-one-jsk-footstep-planner (0.1.18-0noble) noble; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 09 Dec 2024 00:00:00 -0000

ros-one-jsk-footstep-planner (0.1.17-0noble) noble; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 28 May 2023 00:00:00 -0000

ros-one-jsk-footstep-planner (0.1.16-0noble) noble; urgency=high

  * run 2to3 -w -f has_key . for python3 check (#776 <https://github.com/jsk-ros-pkg/jsk_control/issues/776>)
  * fix for test (#773 <https://github.com/jsk-ros-pkg/jsk_control/issues/773>)
    
      * indigo requres to add find_pacakge(roseus) to compile roseus message
      * remove roseus from find_package(catkin at jsk_footstep_planner and jsk_ik_server
      * add from __future__ import print_function
    
  * [jsk_footstep_planner] add an example of footstep planner client with disarranged goal footsteps (#739 <https://github.com/jsk-ros-pkg/jsk_control/issues/739>)
  * [jsk_footstep_planner] add num_finalize_steps option to dynamic_reconfigure of jsk_footstep_planner (#741 <https://github.com/jsk-ros-pkg/jsk_control/issues/741>)
  * 2to3 -w -fexcept ., 2to3 -w -fprint . (#763 <https://github.com/jsk-ros-pkg/jsk_control/issues/763>)
  * add melodic support (#740 <https://github.com/jsk-ros-pkg/jsk_control/issues/740>)
    
      * [jsk_footstep_planner] fixed returned value of FootstepStateDiscreteCloseList::find()
      * [jsk_footstep_planner] fixed a returned value of FootstepStateDiscreteCloseList::find()
    
  * Update README.md and Delete duplicated launch files (#733 <https://github.com/jsk-ros-pkg/jsk_control/issues/733>)
    
      * [jsk_footstep_planner] Update README.md to fix link to an image.
      * [jsk_footstep_planner] add footstep_planner_perception_sample.gif and update README.md to fix syntax error and add an image.
      * [jsk_footstep_planner] delete unintentionally duplicated launch files
      * [jsk_footstep_planner] update README.md to add notice about euslisp implementation
      * [jsk_footstep_planner] update README.md to add description about how to execute examples
    
  * fix heightmap launch so that it can work with nodelet. (#694 <https://github.com/jsk-ros-pkg/jsk_control/issues/694>)
  * Contributors: Kei Okada, Koki Shinjo, Riku Shigematsu, Yohei Kakiuchi

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 27 Oct 2022 00:00:00 -0000

ros-one-jsk-footstep-planner (0.1.15-0noble) noble; urgency=high

  * Merge pull request #692 <https://github.com/jsk-ros-pkg/jsk_control/issues/692> from orikuma/replace-footstep-state-to-state-ptr
    Replace FootstepState::Ptr to StatePtr in footstep_astar_solver to be used with a GraphT which has different state type
  * [jsk_footstep_planner] Replace FootstepState::Ptr -> StatePtr in footstep_astar_solver to be used with a GraphT which has different state type
  * Contributors: Iori Kumagai, Yohei Kakiuchi

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 16 May 2018 00:00:00 -0000

ros-one-jsk-footstep-planner (0.1.14-0noble) noble; urgency=high

  * [jsk_footstep_planner] add grid_path_planner (#688 <https://github.com/jsk-ros-pkg/jsk_control/issues/688>)
    * [jsk_foostep_planner/footstep_marker] add use_default_step_as_goal
  * [jsk_foostep_planner/JAXON] update launch (#687 <https://github.com/jsk-ros-pkg/jsk_control/issues/687>)
  * Add follow_path heuristic to footstep_planner (#675 <https://github.com/jsk-ros-pkg/jsk_control/issues/675>)
    * [jsk_footstep_planner] remove not used settings from CMakeLists.txt and change order of include
    * [jsk_footstep_planner] add set heuristic path service
    * [jsk_footstep_planner] update follow_path heuristic
    * [jsk_footstep_planner] fix method name
    * [jsk_footstep_planner] refine solver
    * [jsk_footstep_planner] fix include
    * [jsk_footstep_planner] add follow_path heuristic to cfg
    * [footstep_planner] add follow_path footstep_planning
  * Contributors: Yohei Kakiuchi, Yuki Furuta

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 15 Jan 2018 00:00:00 -0000

ros-one-jsk-footstep-planner (0.1.13-0noble) noble; urgency=high

  * [jsk_footstep_planner, jsk_teleop_joy] add stack mode to footstep_marker
  * [jsk_footstep_planner] add pass through filter for creating heightmap (remove points of a ceiling)
  * [jsk_footstep_planner] Make initial map_origin_pointcloud smaller
  * Contributors: Yohei Kakiuchi

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 18 Apr 2017 00:00:00 -0000

ros-one-jsk-footstep-planner (0.1.12-0noble) noble; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 22 Feb 2017 00:00:00 -0000

ros-one-jsk-footstep-planner (0.1.11-0noble) noble; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 09 Feb 2017 00:00:00 -0000

ros-one-jsk-footstep-planner (0.1.10-0noble) noble; urgency=high

  * [footstep_planner] fix for local_move
  * [footstep_planner, JAXON] footstep setting for leptrino foot
  * [jsk_footstep_planner] fix offset for project_footstep service
  * [footstep_planner] add local move offset
  * [footstep_planner] remove debug message / fix for very short path
  * [footstep_planner] add PathCost and Successor function
  * [jsk_footstep_planner] add project_footstep service
  * [jsk_footstep_planner/config/*footstep_planner_params.yaml] Update HRP2JSKNT, HRP2JSKNTS footstep planner params and add parameter for JAXON.
  * [jsk_footstep_planner/test/test_footstep_planning_eus_client.test] Increase test time to 5 minutes.
  * [jsk_footstep_planner/test/test_footstep_planning_eus_client.l] Add test for slope and stair
  * [jsk_footstep_planner/config/sample_robot_footstep_planner_params.yaml] Update parameters for stair slope test


=== debian/control ===
Source: ros-one-jsk-footstep-planner
Section: misc
Priority: optional
Maintainer: Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-jsk-footstep-msgs, ros-one-jsk-interactive-marker, ros-one-jsk-recognition-utils, ros-one-jsk-rviz-plugins, ros-one-jsk-topic-tools, ros-one-message-generation, ros-one-pcl-ros, ros-one-roscpp, ros-one-roseus, ros-one-visualization-msgs
Homepage: http://ros.org/wiki/jsk_footstep_planner
Standards-Version: 3.9.2

Package: ros-one-jsk-footstep-planner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-jsk-footstep-msgs, ros-one-jsk-interactive-marker, ros-one-jsk-pcl-ros, ros-one-jsk-recognition-msgs, ros-one-jsk-recognition-utils, ros-one-jsk-rviz-plugins, ros-one-jsk-topic-tools, ros-one-pcl-ros, ros-one-roscpp, ros-one-roseus, ros-one-visualization-msgs
Description: jsk_footstep_planner

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-jsk-footstep-planner//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-jsk-footstep-planner 0.1.18-14noble.20251215.2336

=== debian/changelog ===
ros-one-jsk-footstep-planner (0.1.18-14noble.20251215.2336) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 15 Dec 2025 23:36:13 +0000

## ros-one-jsk-footstep-planner 0.1.18-14noble.20260106.2328

=== debian/changelog ===
ros-one-jsk-footstep-planner (0.1.18-14noble.20260106.2328) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2026 23:28:24 +0000

## ros-one-jsk-footstep-planner 0.1.18-14noble.20260302.2228

=== debian/changelog ===
ros-one-jsk-footstep-planner (0.1.18-14noble.20260302.2228) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 02 Mar 2026 22:28:37 +0000
